EC_STRVEC_NDUP(3)

NAME
ec_strvec_ndup - Duplicate a part of a string vector.

SYNOPSIS
#include <ecoli/strvec.h>

struct ec_strvec * ec_strvec_ndup(
    const struct ec_strvec   *strvec,  /* The pointer to the string vector. */
    size_t                    off,     /* The index of the first string to duplicate. */
    size_t                    len      /* The number of strings to duplicate. */
);

DESCRIPTION

Attributes are duplicated if any.

RETURN VALUE

The duplicated strvec object, or NULL on error (errno is set).

SEE ALSO

ec_strvec_set_attrs(3), ec_strvec_del_last(3), ec_strvec_val(3), ec_strvec_cmp(3), ec_strvec_sort(3), ec_strvec_from_array(3), ec_strvec_get_attrs(3), ec_strvec_dup(3), ec_strvec_set(3), ec_strvec_len(3), ec_strvec_dump(3), ec_strvec_sh_lex_str(3), ec_strvec_add(3), ec_strvec_free(3), ec_strvec(3),

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.